<h1 mat-dialog-title>
	<span fxFlex=""> Информация о документе </span>
	<button mat-icon-button [mat-dialog-close]="">
		<mat-icon svgIcon="close"></mat-icon>
	</button>
</h1>
<div mat-dialog-content>

	<section *ngIf="!isLoad; else loaderComponent">
		<div class="dynamic-form" *ngIf="formData; else dataNotFound">
			<ng-container appDynamicForms  [componentName]="component" [data]="formData">
			</ng-container>

			<div class="mx-8">
				<h5 class="mb-8"> Файл документа</h5>
				<div *ngIf="!formData.file; else downloadFile"> <i> файл не прикреплен </i> </div>
				<ng-template #downloadFile>
						<button mat-flat-button (click)="getFile($event, { id: formData.id, title: formData.doc.title })">
							<mat-icon [svgIcon]="'download'"
								class="mr-8"></mat-icon>
							<span>{{formData.doc.title}}</span>
						</button>
				</ng-template>


			</div>
		</div>

		<ng-template #dataNotFound>
			При попытке загрузить данные о документе произошла ошибка
		</ng-template>
	</section>

	<ng-template #loaderComponent>
		<div class="spinner-container">
			<mat-spinner></mat-spinner>
		</div>
	</ng-template>






</div>
<!--
<div mat-dialog-actions align="end">
	<button mat-stroked-button
	        color="primary"
	        [mat-dialog-close]=""
	        cdkFocusInitial >Закрыть</button>
</div>-->
